Bug 739643 - texlive 2010 systemic problem - I can't find the format file `pdflatex.fmt'!
Summary: texlive 2010 systemic problem - I can't find the format file `pdflatex.fmt'!
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-19 17:34 UTC by D. Wagner
Modified: 2013-07-02 23:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 13:36:12 UTC


Attachments (Terms of Use)

Description D. Wagner 2011-09-19 17:34:12 UTC
Description of problem:

I did a yum upgrade of some texlive 2010 packages.  Now I get the following error when trying to run pdflatex:

kpathsea: Running mktexfmt pdflatex.fmt
I can't find the format file `pdflatex.fmt'!

I'd note that it feels like this happens every darn time that yum upgrades a bunch of texlive packages.  This has been reported multiple times before (see the comments in bug #578426, bug #590043, bug #447062), but the reports keep getting ignored and closed.

This is widely discussed on the Internet, and the recommended fix everyone suggests is to reinstall texlive.

It seems clear there is some systemic problem in Texlive.  This problem has been present for years without being fixed.  There also appears to be some systemic shortcoming in the bug triaging process, which causes these bug reports to be repeatedly closed despite the fact that the bug remains present.


Version-Release number of selected component (if applicable):

texlive-2010-5.20110908_r23872.fc14.x86_64
texlive-release-2010-5.20110908_r23872.fc14.noarch
texlive-latex-bin-bin-2010-5.20110908_r23872.svn14050.fc14.x86_64
texlive-pdftex-def-2010-4.0.06d.svn22653.fc15.noarch
texlive-pdftex-bin-2010-5.20110908_r23872.svn23498.fc14.x86_64
texlive-pdftex-2010-4.1.40.11.svn23720.fc15.noarch


This is a fully up-to-date installation of texlive 2010.

Comment 1 D. Wagner 2011-09-19 17:38:39 UTC
Things that don't fix the problem:

$ rm -rf ~/.texlive*
# fmtutil-sys --all
# yum reinstall texlive-pdftex-def
# yum reinstall texlive-pdftex-bin
# yum reinstall texlive-pdftex
# yum reinstall texlive-latex-bin-bin
# yum reinstall texlive-release
# yum reinstall texlive

Also:

# locate pdflatex.fmt

gives no output.

Comment 2 D. Wagner 2011-09-20 05:32:32 UTC
Other steps that don't fix the problem:

# yum reinstall 'texlive*'
# rpm -e --nodeps texlive-tetex
# yum -y install texlive-tetex
# rpm -e --nodeps texlive-kpathsea-lib.i686 texlive-kpathsea-lib.x86_64
# yum -y install texlive-kpathsea-lib.i686 texlive-kpathsea-lib.x86_64
# fmtutil
# fmtutil-sys
# texlinks -v
# updmap
# updmap-sys

What else haven't I tried?

Comment 3 Jindrich Novy 2011-09-21 09:26:35 UTC
Please note this message:

http://www.linux.cz/pipermail/texlive/2011-September/000203.html

Fedora TeX Live now use branched repositories from upstream and fixed updating scheme so things like missing fmt files shouldn't happen any more.

Problems may arise if you update from older versions of TeX Live 2010 where post-install scriptlets could cause havoc or e.g. updmap.cfg was already in inconsistent state.

Please remove the old installation completely and install it again without updating from the previous versions. Thanks.

Comment 4 Fedora End Of Life 2012-08-16 13:36:16 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.